part of tecfy_core_client_package;

class Permission {
  late bool canView;
  late bool canAdd;
  late bool canUpdate;
  late bool canDelete;
  late List<PermissionAction> actions;
  Permission()
      : canView = false,
        canUpdate = false,
        canAdd = false,
        canDelete = false;

  Permission.fullAccess() {
    canView = true;
    canUpdate = true;
    canAdd = true;
    canDelete = true;
  }
  Permission.fromMap(Map<String, dynamic> row) {
    canView = row['canView'] ?? false;
    canAdd = row['canAdd'] ?? false;
    canUpdate = row['canUpdate'] ?? false;
    canDelete = row['canDelete'] ?? false;
  }
}
