part of tecfy_core_client_package;

// extension on Color {
//   String toHexString() {
//     return this.value.toRadixString(16);
//   }
// }
class ColorPropertyComponenet extends StatefulWidget {
  final String? initalValue;
  final String? label;
  final String? description;
  final bool isRequired;
  final String? fileId;
  final void Function(String)? onChanged;
  ColorPropertyComponenet(
      {this.initalValue,
      required this.label,
      this.description,
      this.isRequired = false,
      this.onChanged,
      this.fileId}); //: assert(fileId != null );
  @override
  _ColorPropertyComponenetState createState() =>
      _ColorPropertyComponenetState();
}

class _ColorPropertyComponenetState extends State<ColorPropertyComponenet> {
  @override
  Widget build(BuildContext context) {
    return LimitedBox(
        maxHeight: 300,
        maxWidth: 300,
        child: MaterialColorPicker(
            onColorChange: (Color color) {
              print(color.toHexString());
              widget.onChanged?.call(color.toHexString());
            },
            selectedColor: widget.initalValue == null
                ? null
                : widget.initalValue!.toColor()));
  }
}
