part of tecfy_core_client_package;

class PropertyMapArea extends Property {
  /// <summary>
  /// Square, Rectangle, Circle, Other
  /// </summary>
  late String shapeType;

  PropertyMapArea.fromMap(Map<String, dynamic> row) : super.fromMap(row) {
    shapeType = row['shapeType'] ?? '';
  }

  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  /// get the value and bind tp display widget
  Widget getDisplayWidget(Map<String, dynamic> data,
      {double size = 12, Color color = Colors.black}) {
    return Text('', style: TextStyle(fontSize: size, color: color));
  }

  /// get the value in text
  String getDisplayText(Map<String, dynamic> data) {
    return '';
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;

    return false;
  }
}
